{{ if .Values.vitess.backup.cronjob.enabled }}
apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: {{ .Values.vitess.name }}-backups
  namespace: {{ .Release.Namespace }}
spec:
  schedule: {{ .Values.vitess.backup.cronjob.schedule }}
  jobTemplate:
    spec:
      template:
        spec:
          containers:
          - name: vtctl
            image: {{ .Values.vitess.backup.cronjob.image }}
            imagePullPolicy: IfNotPresent
            command:
            - /bin/sh
            - -c 
            - "/vt/bin/vtctlclient --server='{{ .Values.vitess.name }}-vtctld.{{ .Release.Namespace }}.svc.cluster.local:15999' BackupShard {{ .Values.vitess.backup.cronjob.backupShard }}"
          restartPolicy: Never
{{ end }}
